from django.contrib import admin
from django.urls import path, include
from django.conf import settings
from django.conf.urls.static import static

urlpatterns = [
    path('admin/', admin.site.urls),
    path('api/v1/', include('api.urls', namespace='api')),
    path('auth/', include('core.urls', namespace='core_auth')),
    path('dashboard/', include('dashboard.urls', namespace='dashboard')),
    path('superadmin/', include('dashboard.superadmin_urls', namespace='superadmin')),
    path('payments/', include('payments.urls', namespace='payments')),
    path('sale/', include('sales.urls', namespace='sales')),
    path('sales/', include('sales.discovery_urls', namespace='discovery')),
    path('', include('businesses.urls', namespace='businesses')),
]

if settings.DEBUG:
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
